SIZE(1)

NOME
size - elenca le dimensioni della sezione e la dimensione totale.

SINTASSI
size [-A|-B|--format=compatibility]
     [--help]
     [-d|-o|-x|--radix=number]
     [-t|--totals]
     [--target=bfdname] [-V|--version]
     [objfile...]

DESCRIZIONE
L'utilità GNU size elenca le dimensioni della sezione--- e la dimensione totale---per ciascun oggetto o file archivio objfile nel suo elenco argomenti. Per default, una linea di output è generata per ciascun file oggetto o ciascun module nell'archivio.

objfile... sono i file oggetto da esaminare. Se non ne viene specificato nessuno, verrà usato il file "a.out" .

OPZIONI
le opzioni della linea di comando hanno i seguenti significati:

-A
-B
--format=compatibility
    Usando una di qeuste opzioni si può scegliere di avere l'output da GNU size nella forma System V size (usando -A, o --format=sysv), o Berkeley size (usando -B, o --format=berkeley). Il default è il formato a una linea simile a quello di Berkeley.

    Qui c'è un esempio del formato Berkeley (default) di output da size:

            $ size --format=Berkeley ranlib size
            text    data    bss     dec     hex     filename
            294880  81920   11592   388392  5ed28   ranlib
            294880  81920   11888   388688  5ee50   size

    Questi sono gli stessi dati, ma visualizzati più vicini alle convanzioni System V:

            $ size --format=SysV ranlib size
            ranlib  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11592       385024
            Total         388392

            size  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11888       385024
            Total         388688

--help
    Mostra un sommario di argomenti e opzioni accettabili.

-d
-o
-x
--radix=number
    Usando una di queste opzioni si può controllare se la dimensione di ciascuna sezione è data in decimale (-d, o --radix=10); ottale (-o, o --radix=8); o esadecimale (-x, o --radix=16). In --radix=number, solo i tre valori (8, 10, 16) sono supportati. La dimensione totale è sempre data in due basi; decimale ed esadecimale per l'output -d or -x,
     o ottale ed esadecimale se si sta usando -o.

-t
--totals
    Mostra i totali di tutti gli oggetti elencati (solo il formato di elencazione Berkeley ).

--target=bfdname
    Specifica che il formato codice oggetto per objfile è bfdname. Questa opzione potrebbe non essere necessaria; size può riconoscere automaticamente molti formati.

-V
--version
    Mostra il numero di versione di size.

VEDERE ANCHE
ar(1), objdump(1), readelf(1), e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled ``GNU Free Documentation License''.